---
type: api
title: Proxy HTTP POST request
description: Proxies the HTTP POST request to the deployment resource. You must specify the `X-Management-Request` HTTP header. NOTE: Use this endpoint for management purposes. It does not provide high performance.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-post-deployment-resource-proxy-requests
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-post-deployment-resource-proxy-requests
products:
  - Elastic Cloud Enterprise
---

# Proxy HTTP POST request

## Paths

- `POST` `/deployments/{deployment_id}/{resource_kind}/{ref_id}/proxy/{proxy_path}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment
- `resource_kind` (enum)
  The kind of resource
  Values: `elasticsearch`, `kibana`, `enterprise_search`, `integrations_server`
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one)
- `proxy_path` (string)
  The URL part to proxy to the deployment resource. Example: _cat/indices, /api/spaces/space or /api/ent/v1/internal/health

## Description

Proxies the HTTP POST request to the deployment resource. You must specify the `X-Management-Request` HTTP header. NOTE: Use this endpoint for management purposes. It does not provide high performance.

## Request Body

`application/text`

The JSON payload to proxy to the deployment resource.

Type: `string`


## Responses

#### `200`

The request has been processed successfully through the proxy.

`application/octet-stream`

- `value` (string)
#### `404`

* The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Resource specified by {ref_id} cannot be found. (code: `deployments.deployment_resource_not_found`)
* The Resource specified by {ref_id} cannot be found. (code: `clusters.cluster_not_found`)

`application/octet-stream`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/proxy/{proxy_path}
```

#### curl

```curl
curl -X POST "/deployments/{deployment_id}/{resource_kind}/{ref_id}/proxy/{proxy_path}" \
  -H "X-Management-Request: string"
```

